import React, { Component } from 'react';
import { View } from 'react-native';
import defaultTheme from './Theme'

class FormGroup extends Component {

  constructor(props) {
    super(props)

    this.state = {

    }
  }

  renderChildren(props) {

    return React.Children.map(props.children, (child, index) => {

        return React.cloneElement(child, {
          childIndex:index
        })
      })
  }

  render() {
    const { children } = this.props;

    return (
      <View
        style={{
          paddingLeft:20,
          backgroundColor:'#FFF',
          marginTop:10,
          borderTopWidth:1,
          borderBottomWidth:1,
          borderColor:'#CCC'
        }}
      >
        { this.renderChildren(this.props) }
      </View>
    )
  }
}

FormGroup.PropTypes = {

}

FormGroup.defaultProps = {
  componentName:'FormGroup',
  theme: defaultTheme
}

export default FormGroup
